namespace MauiTestApp.Graphing
{
    public class RunData
    {
        public string Time { get; private set; } = "";
        public void SetTime(double val) => Time = $"{val:0.####} ms";

        public string CPU { get; private set; } = "";
        public void SetCPU(double val) => CPU = $"{val:0.##} %";

        public string Memory { get; private set; } = "";
        public void SetMemory(double val) => Memory = $"{(int)Math.Round(val)} B";
    }
}
